## Index

### Interfaces

- IActionOptions

### Functions

- Action

## Functions

### Action

- Action(__namedParameters?: object): (Anonymous function)

- - Defined in src/view-model/Action.ts:57

  Reports an alert to user when an error has occurred or validation has failed. If you set success message, it will display an alert with success message. If you set confirm message, it will ask form confirmation before executing this method. You can configure options to enable/disable certain alerts.

  #### Parameters

  - ##### Default value __namedParameters: object = {}

  #### Returns (Anonymous function)

Generated using TypeDoc